//获取某个cookie的值
function Get_Cookie(name) {
    var start = document.cookie.indexOf(name + "=");
    var len = start + name.length + 1;
    if ((!start) && (name != document.cookie.substring(0, name.length))) return null;
    if (start == -1) return null;
    var end = document.cookie.indexOf(";", len);
    if (end == -1) end = document.cookie.length;
    return unescape(document.cookie.substring(len, end)); //解码
}
// 设置某个cookie的值
function Set_Cookie(name, value, expires, path, domain, secure) {
    expires = expires * 60 * 60 * 24 * 1000;
    var today = new Date();
    var expires_date = new Date(today.getTime() + (expires));
    var cookieString = name + "=" + escape(value) +
	       ((expires) ? ";expires=" + expires_date.toGMTString() : "") +
	       ((path) ? ";path=" + path : "") +
	       ((domain) ? ";domain=" + domain : "") +
	       ((secure) ? ";secure" : "");
    document.cookie = cookieString;
}
//获取xml元素一个节点的文本
function getXmlNodeValue(xmlNode) {
    return xmlNode.text ? xmlNode.text : xmlNode.textContent
}
//获取y坐标
function getTopPos(inputObj) {
    var returnValue = inputObj.offsetTop;
    while ((inputObj = inputObj.offsetParent) != null) {
        if (inputObj.tagName != 'HTML') returnValue += inputObj.offsetTop;
    }
    return returnValue;
}
//获取x坐标
function getLeftPos(inputObj) {
    var returnValue = inputObj.offsetLeft;
    while ((inputObj = inputObj.offsetParent) != null) {
        if (inputObj.tagName != 'HTML') returnValue += inputObj.offsetLeft;
    }
    return returnValue;
}
